<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Signal Handler Vulnerabilities — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --binary <val> --check <val>` | Analyze signal handler implementations |
| `enumerate --binary <val>` | Enumerate registered signal handlers |
| `exploit --binary <val> --signal <val>` | Exploit unsafe signal handler |
| `report --binary <val> --format <val>` | Generate signal handler report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--binary` | string | Yes | Binary parameter |
| `--check` | string | Yes | Check parameter |
| `--signal` | string | Yes | Signal parameter |
| `--format` | string | Yes | Format parameter |
